Skip to main content
GET
cURL

Overview

Retrieve provider-specific configuration for a model, including pricing per million tokens, context window limits, maximum output tokens, and supported features. Use this endpoint to get precise details about how a specific provider implements a particular model.

Authentication

This endpoint does not require authentication. You can call it without an API key.

Path Parameters

model
string
required

A model slug from /v1/models

provider
string
required

One of 90 allowed values.

Response

Default Response

provider_slug
string
required

One of 31 allowed values.

pricing
object[]
required
context_window
number
required
Required range: x > 0
max_output_tokens
number
required
Required range: x > 0
zdr
required
Available options:
false
certifications
enum<string>[]
required
Available options:
soc2_type1,
soc2_type2,
iso27001,
iso27701,
iso42001,
fedramp
supports
object
required
deprecated_at
number
release_date
number
quantization
string
baa
boolean
caching
object
image_processing
object
pdf_processing
object
Last modified on February 8, 2026